TAAS - Feature #232

Merged Ledger Statement
07/09/2023 03:48 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Supplier Merged SOA

Description

Coding Supplier Merged SOA

History

#1 - 08/07/2023 06:12 PM - Anil KV

Solution:-

e Check
#224(Customer Document Wise SOA -> Remove SUM and grouping part in data sql)

#2 - 08/07/2023 06:12 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 08/18/2023 10:40 AM - Anil KV
Solutions:-
1) GUI Changes

— Defult Tick Matched and Outstanding Checkbox
-Main Ledger* - Not mandatory - Check ledger stmt

—Checkbox alignment issue - Check - Customer Document Wise SOA
—Add Merge Selectbox in Details list title bar

*Items

Day Wise

Fortnight Wise

Month Wise

Service Wise

Module Wise

Sale, Refund and Other Wise

Sub Customer (Profile) Wise

Sub Ledger Wise

2)Check and Discus with Athul P
—#224 (Customer Document Wise SOA —-> Remove SUM and grouping part in data sqgl)
—#225 Customer Item Wise SOA
-#226 Customer Service Wise SOA

#4 - 08/18/2023 12:49 PM - Anil KV

- Assignee changed from travvise Admin to Athul P

#5 - 08/18/2023 03:10 PM - Anil KV
- Subject changed from Supplier Merged SOA to Merged Ledger Statement

#6 - 08/18/2023 03:11 PM - Anil KV
Anil KV wrote:

Coding Merged Ledger Statement
#7 - 08/18/2023 03:11 PM - Anil KV
Anil KV wrote:

Coding Supplier Merged SOA

Merged Ledger Statement

#8 - 03/07/2024 02:53 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#9 - 08/27/2024 05:02 PM - Anonymous

- Assignee changed from Athul P to Augustin Jose

#10 - 08/28/2024 02:32 PM - Anonymous
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#11 - 08/28/2024 03:25 PM - Augustin Jose
- Status changed from Coding Started to Ready for Coding
- % Done changed from 30 to 20

#12 - 08/28/2024 03:25 PM - Augustin Jose
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#13 - 08/28/2024 03:28 PM - Augustin Jose

- Tracker changed from Feature to Change Request

#14 - 08/28/2024 03:28 PM - Augustin Jose

- Tracker changed from Change Request to Feature

#15 - 09/20/2024 10:06 AM - Augustin Jose
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 30 to 40

To Do:
Debit-Credit Wise Grouping
Opening Balance Position While Grouping:- must be in top,

#16 - 09/26/2024 05:36 PM - unnikannan S

- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.In Case Of Month Wise Merging Data Show As (January-December)
#17 - 09/26/2024 05:47 PM - Anil KV

Wrong Display

Change:-

—>Merge By

-Add 'Week (Fri-Thu)', 'Week (Sat-Fri)', 'Week (Sun-Sat)',
->Group By 2 Select box

- 1 st selection box item :-

- Rename - 'No Merge' to 'No Grouping'
— Add Main ledger

-> Rename Details tab -> No Merge Details

-> Add a tab -> Merge Details

- Columns

Period | Document | Debit | Credit | Balance | Ticket/Voucher | LPO | File No | Enquiry No | Reference | Narra
tion | Build Narration

* Document , Ticket/Voucher, LPO, File No, Enquiry No, Reference, Narration, Build Narration are join unique i
tems

#18 - 09/26/2024 05:56 PM - Anil KV
Wrong Display

Change:-

—->Merge By

—-Add 'Week (Fri-Thu)', 'Week (Sat-Fri)', 'Week (Sun-Sat)', 'Week (Mon-Sun)'
—->Group By 2 Select box

- 1 st selection box item :-

— Rename - 'No Merge' to 'No Grouping'

- Add Main ledger

—> Rename Details tab -> No Merge Details

-> Add a tab -> Merge Details

— Columns

Period | Document | Debit | Credit | Balance | Ticket/Voucher | LPO | File No | Enquiry No | Reference | Narra
tion | Build Narration

* Document , Ticket/Voucher, LPO, File No, Enquiry No, Reference, Narration, Build Narration are join unique i
tems

—> Summary tab

—-Columns

Item | Debit | Credit | Balance
*Item Column Values

Opening Balance

[Adjustment Entry]

Current Debit

Current Credit

Closing Balance/Amount Payable to you/ Amount Receivable to you
Not Approved Debit

Not Approved Credit

Debit After To Date

Credit After To Date

Projected Balance

#19 - 10/09/2024 02:59 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 10/19/2024 03:38 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error While Unticking Matched,Outstanding,Consider Match Together
Column 'fk_main_ledger_id' does not belong to table Table.

#21 - 10/22/2024 03:22 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#22 - 10/23/2024 06:49 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.Data showing in the beginning without any grouping when select merge, grouping and credit/debit

#23 - 10/29/2024 10:56 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#24 - 12/20/2024 03:05 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Data showing in 'Not Approved Document Amount' field even after approving it through document approve module.

2. Data not showing in the details column while it is showing in the system column of summary tab.

#25 - 12/31/2024 06:08 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 03/14/2025 02:44 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

(DONE)1)Data is not showing in Uncleared paid and Uncleared Received Cheque(lssue from sale&Refund only)

#27 - 03/24/2025 09:52 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
